/* layout.css */

*,
*::before,
*::after {
  margin: 0;
  padding: 0;

  box-sizing: border-box;
}

html,
body {
  width: 100%;
  min-height: 100%;
}

body {
  overflow-x: hidden;
}

.background,
.vignette {
  position: fixed;
  inset: 0;
}

.background {
  z-index: -2;
}

.vignette {
  position: fixed;
  inset: 0;
  pointer-events: none;
  z-index: 9999;
}

.screen {
  position: relative;

  display: flex;
  align-items: flex-start;
  justify-content: center;
  gap: 25px;

  width: min(950px, 92%);
  margin: 2rem auto 6rem;
}

.sidebar {
  width: 250px;

  display: flex;
  flex-direction: column;
}

.mainbar {
  width: 625px;

  display: flex;
  flex-direction: column;
}

.title {
  display: flex;
  align-items: center;
}

.title-button {
  margin-left: auto;
}